Mailinglist Archive: opensuse-factory (742 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180306 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180306

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
edict (20170706 -> 20180305)
flatpak-builder (0.10.6 -> 0.10.9)
gstreamer-editing-services
gstreamer-plugins-bad
gstreamer-rtsp-server
gstreamer-validate
hivex (1.3.14 -> 1.3.15)
iio-sensor-proxy
libvpx
perl-Date-Manip (6.60 -> 6.70)
perl-Glib (1.325 -> 1.326)
python-cryptography
python-gst
rubygem-unf_ext (0.0.7.4 -> 0.0.7.5)
virt-manager
wayland
yast2-ftp-server (4.0.2 -> 4.0.3)

=== Details ===

==== edict ====
Version update (20170706 -> 20180305)

- Update to snapshot 20180305
* No changelog recorded. About 6000 new dictionary entries.

==== flatpak-builder ====
Version update (0.10.6 -> 0.10.9)

- Update to version 0.10.9:
+ Support -y argument, which passes it on to flatpak install, etc.
+ Fix build on glibc 2.27.
- Changes from version 0.10.8:
+ Fix build on recent glibc.
- Changes from version 0.10.7:
+ Add support for --socket=fallback-x11.
+ Fix assert in --install.
+ Fix --disable-updates for git sources.
+ When mirroring git repos, use a temporary download dir.
+ Support running flatpak-builder inside a flatpak sandbox.

==== gstreamer-editing-services ====
Subpackages: libges-1_0-0 typelib-1_0-GES-1_0

- Modernize spec-file by calling spec-cleaner

==== gstreamer-plugins-bad ====
Subpackages: gstreamer-plugins-bad-lang libgstadaptivedemux-1_0-0
libgstbadaudio-1_0-0 libgstbadbase-1_0-0 libgstbadvideo-1_0-0
libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0 libgstgl-1_0-0
libgstmpegts-1_0-0 libgstphotography-1_0-0 libgsturidownloader-1_0-0
libgstwayland-1_0-0

- Add gst-bad-revert-automake-autoconf-versions.patch: Revert the
autoconf and automake version bump upstream did without
consideration about us, allow to build with the automake we have
Leap 42.3 and SLE12.
- Following the above patch, drop the explicit automake
BuildRequires, as libtool BuildRequires brings it in, and we can
now build with the old version we have in Leap/SLE.

==== gstreamer-rtsp-server ====

- Modernize spec-file by calling spec-cleaner

==== gstreamer-validate ====
Subpackages: libgstvalidate-1_0-0 typelib-1_0-GstValidate-1_0

- Modernize spec-file by calling spec-cleaner

==== hivex ====
Version update (1.3.14 -> 1.3.15)

- Update to version 1.3.15
* Improved performance by using a cache of iconv handles, especially
when dumping out large hives.
* Add the ?hivexregedit --max-depth? option for exports, so you can
dump out only the top N-level keys.
* ?hivexsh -u? flag allows you to open some broken hives.
* Fixes to broken POD documentation in some places.
* Fixes for OCaml 4.06 safe strings.

==== iio-sensor-proxy ====

- Modernize spec-file by calling spec-cleaner

==== libvpx ====

- Enable VP9 10bit encoding support boo#1083537

==== perl-Date-Manip ====
Version update (6.60 -> 6.70)

- updated to 6.70
* Improved handling of deltas.
* Deprecated some parts of Date::Manip::Delta
- Deprecation of TZ postponed
- Some speed improvements
- Changed behavior if timezone not determined
- Fixed Makefile.PL
- Time zone fixes
- Documentation fixes
see /usr/share/doc/packages/perl-Date-Manip/Changes

==== perl-Glib ====
Version update (1.325 -> 1.326)

- Update to version 1.326
* Allow overriding of current time in generated man-pages (boo#1047218)

==== python-cryptography ====
Subpackages: python2-cryptography python3-cryptography

- fix deps for hypothesis, pytest

==== python-gst ====

- Modernize spec-file by calling spec-cleaner

==== rubygem-unf_ext ====
Version update (0.0.7.4 -> 0.0.7.5)

- updated to version 0.0.7.5
see installed CHANGELOG.md
[#]# 0.0.7.5 (2018-02-06)
- Version bump just for adding Windows binaries for Ruby 2.5.

==== virt-manager ====
Subpackages: virt-install virt-manager-common

- Replace old $RPM_* shell vars. Use %_datadir more consistently.

==== wayland ====
Subpackages: libwayland-client0 libwayland-cursor0 libwayland-server0

- Remove unneeded fdupes dependency/handling

==== yast2-ftp-server ====
Version update (4.0.2 -> 4.0.3)

- Remove an unnecessary Frame which was still referencing
SuSEfirewall (bsc#1083707)
- 4.0.3


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages